package org.artifactory.servicetrust;

import org.jfrog.access.token.JwtAccessToken;

/**
 * @author igoru
 */
public interface TokenSpecOutboundService {

    /**
     * Store master token together with exchange url, base url and other
     */
    void storeMasterTokenData(ExchangeTokenResponse response, TokenExtension extension);

    /**
     * Update master token to avoid expiration
     */
    void updateMasterTokenData(ExchangeTokenResponse response);

    ExchangeTokenRequest createExchangeTokenRequest(String subject, String useCasePath, JwtAccessToken jwt);

    /**
     * Create exchange token to refresh master token
     */
    ExchangeTokenRequest createMasterTokenExchangeRefreshRequest(String subject);

    ExchangeTokenRequest createScopedTokenExchangeRequest(String subject);
}
