package org.artifactory.repo;

import org.artifactory.descriptor.repo.HttpRepoDescriptor;
import org.testng.annotations.Test;

import static org.artifactory.repo.config.RepoConfigDefaultValues.DEFAULT_METADATA_RETRIEVAL_TIMEOUT_SECS;
import static org.testng.Assert.assertEquals;

/**
 * @author Alexei Vainshtein
 */
public class HttpRepositoryConfigurationImplTest {

    @Test
    public void testSetMetadataRetrievalTimeoutSecs() {
        HttpRepositoryConfigurationImpl httpRepoDescriptor = new HttpRepositoryConfigurationImpl();
        httpRepoDescriptor.setMetadataRetrievalTimeoutSecs(20);
        assertEquals(httpRepoDescriptor.getMetadataRetrievalTimeoutSecs(), 20);
    }

    @Test
    public void testDefaultValues() {
        HttpRepositoryConfigurationImpl httpRepoDescriptor = new HttpRepositoryConfigurationImpl();
        assertEquals(httpRepoDescriptor.getMetadataRetrievalTimeoutSecs(), DEFAULT_METADATA_RETRIEVAL_TIMEOUT_SECS);

        HttpRepoDescriptor repoDescriptor = new HttpRepoDescriptor();
        repoDescriptor.setUrl("http://localhost");
        repoDescriptor.setMetadataRetrievalTimeoutSecs(20);
        httpRepoDescriptor = new HttpRepositoryConfigurationImpl(repoDescriptor);
        assertEquals(httpRepoDescriptor.getMetadataRetrievalTimeoutSecs(),
                repoDescriptor.getMetadataRetrievalTimeoutSecs());
    }
}