/*
 *
 * Artifactory is a binaries repository manager.
 * Copyright (C) 2018 JFrog Ltd.
 *
 * Artifactory is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 * Artifactory is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with Artifactory.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.artifactory.ui.rest.model.builds;

import com.google.common.collect.Lists;
import org.artifactory.build.BuildCoordinate;
import org.artifactory.rest.common.model.BaseModel;

import java.util.List;

/**
 * @author Gidi Shabat
 */
public class DeleteBuildsModel extends BaseModel {
    private final List<BuildCoordinate> buildsCoordinates = Lists.newArrayList();

    public List<BuildCoordinate> getBuildsCoordinates() {
        return buildsCoordinates;
    }

    public void addBuildCoordinate(String buildName, String buildNumber, long date, String buildRepo) {
        buildsCoordinates.add(new BuildCoordinate(buildName, buildNumber, date, buildRepo));
    }

    public void addBuildCoordinate(String buildName, String buildRepo) {
        buildsCoordinates.add(new BuildCoordinate(buildName, buildRepo));
    }
}
